!!S Main
	subroutine mat_mult_for(c,nc,a,na,b,nb,n1,n2,n3)
c
c	duplicate of mat_mul_for3 for compiling without optimization
c
	implicit none
	
	integer na,nb,nc,n1,n2,n3
	integer*2 i,j,k
	extended c(nc,n3),a(na,n2),b(nb,n3)
	
	do k=1,n3
		do i=1,n1
			c(i,k) = 0x0
			do j=1,n2
				c(i,k) = c(i,k)+a(i,j)*b(j,k)
			end do
		end do
	end do
	return
	end
